List real estate projects
curl --request GET \
--url https://backend.tensorpix.ai/api/v2/real-estate/projects/ \
--header 'Authorization: <api-key>'import requests
url = "https://backend.tensorpix.ai/api/v2/real-estate/projects/"
headers = {"Authorization": "<api-key>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {Authorization: '<api-key>'}};
fetch('https://backend.tensorpix.ai/api/v2/real-estate/projects/', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"count": 123,
"next": "http://api.example.org/accounts/?offset=400&limit=100",
"previous": "http://api.example.org/accounts/?offset=200&limit=100",
"results": [
{
"id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"name": "<string>",
"description": "<string>",
"created_at": "2023-11-07T05:31:56Z",
"updated_at": "2023-11-07T05:31:56Z",
"background_music": {
"id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"name": "<string>",
"created_at": "2023-11-07T05:31:56Z",
"file": "<string>",
"duration_s": 123,
"file_size": 123,
"bitrate": 123,
"sample_rate": 123,
"channels": 123
},
"background_music_volume": 123,
"logo_asset": {
"id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"name": "<string>",
"created_at": "2023-11-07T05:31:56Z",
"file": "<string>",
"thumbnail": "<string>",
"external_url": "<string>",
"width": 123,
"height": 123,
"file_size": 123,
"tags": [
"<string>"
],
"name_tag": "<string>"
},
"speaker_voice": {
"id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"created_at": "2023-11-07T05:31:56Z",
"name": "<string>",
"language_code": "<string>",
"language": "<string>",
"accent": "<string>",
"gender": "<string>",
"use_case": "<string>",
"descriptive": "<string>",
"cloned_by_count": 123,
"description": "<string>",
"avatar_image_url": "<string>",
"audio_preview_url": "<string>",
"supported_languages": [
{
"id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"locale": "<string>",
"language": "<string>",
"accent": "<string>",
"preview_url": "<string>"
}
]
},
"is_voiceover_enabled": true,
"is_captions_enabled": true,
"video_style": "just_listed",
"video_format": "9:16",
"model_code_name": "medium",
"requested_output_width": 123,
"requested_output_height": 123,
"requested_video_aspect_ratio": "<string>",
"requested_duration_s": 123,
"street_address": "<string>",
"suburb": "<string>",
"state": "<string>",
"country_name": "<string>",
"city_name": "<string>",
"num_bedrooms": 123,
"num_bathrooms": 123,
"num_car_parking_spots": 123,
"num_floors": 123,
"price_display": "<string>",
"land_size_value": 123,
"land_size_unit": "sqm",
"real_estate_type": "house",
"additional_information": "<string>",
"intro_template_key": "<string>",
"outro_template_key": "<string>",
"intro_template_overrides": {},
"outro_template_overrides": {},
"shot_count": 123,
"voiceover": {
"id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"created_at": "2023-11-07T05:31:56Z",
"audio_asset": {
"id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"name": "<string>",
"created_at": "2023-11-07T05:31:56Z",
"file": "<string>",
"duration_s": 123,
"file_size": 123,
"bitrate": 123,
"sample_rate": 123,
"channels": 123
},
"caption_asset": {
"id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"created_at": "2023-11-07T05:31:56Z",
"name": "<string>",
"file": "<string>"
},
"text_asset": {
"id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"created_at": "2023-11-07T05:31:56Z",
"text": "<string>"
},
"metadata": "<unknown>"
},
"thumbnail": "<string>"
}
]
}{
"detail": "<string>",
"error_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a"
}{
"detail": "<string>",
"error_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a"
}{
"detail": "<string>",
"error_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a"
}{
"error": "<string>",
"error_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a"
}Real Estate Projects
List real estate projects
Return real estate projects owned by the current account.
GET
/
api
/
v2
/
real-estate
/
projects
/
List real estate projects
Authorizations
tokenAuthjwtAuth
Token-based authentication with required prefix "Token"
Query Parameters
Created Date Range
Created Date Range
Number of results to return per page.
The initial index from which to return the results.
Which field to use when ordering the results.
Updated Date Range
Updated Date Range
Was this page helpful?